package com.example.beijing_daxing.been;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * 处罚类型维护对象 pm_base_penalty_type
 *
 * @author ruoyi
 * @date 2025-11-27
 */
public class PmBasePenaltyType {

    /**
     * 处罚类型主键
     */
    private Long penaltyTypeId;
    /** 父菜单ID */
    private Long parentId;
    /**
     * 类型编码
     */

    private String penaltyTypeCode;

    /**
     * 处罚说明
     */

    private String penaltyInfo;

    /**
     * 处罚金额
     */

    private Double penaltyAmount;

    /**
     * 类型状态
     */

    private String typeState;


    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        PmBasePenaltyType that = (PmBasePenaltyType) o;

        return Objects.equals(penaltyInfo, that.penaltyInfo);
    }

    @Override
    public int hashCode() {
        return penaltyInfo != null ? penaltyInfo.hashCode() : 0;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Long getPenaltyTypeId() {
        return penaltyTypeId;
    }

    public void setPenaltyTypeId(Long penaltyTypeId) {
        this.penaltyTypeId = penaltyTypeId;
    }

    public String getPenaltyTypeCode() {
        return penaltyTypeCode;
    }

    public void setPenaltyTypeCode(String penaltyTypeCode) {
        this.penaltyTypeCode = penaltyTypeCode;
    }

    public String getPenaltyInfo() {
        return penaltyInfo;
    }

    public void setPenaltyInfo(String penaltyInfo) {
        this.penaltyInfo = penaltyInfo;
    }

    public Double getPenaltyAmount() {
        return penaltyAmount;
    }

    public void setPenaltyAmount(Double penaltyAmount) {
        this.penaltyAmount = penaltyAmount;
    }

    public String getTypeState() {
        return typeState;
    }

    public void setTypeState(String typeState) {
        this.typeState = typeState;
    }


}
